commit:     2341be580d55b4688715792193d785542c9fcf5c
Author:     Chema Alonso Josa <nimiux <AT> gentoo <DOT> org>
AuthorDate: Sat Oct 28 14:52:58 2017 +0000
Commit:     José María Alonso <nimiux <AT> gentoo <DOT> org>
CommitDate: Sat Oct 28 14:52:58 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2341be58

x11-wm/stumpwm: Bumps version to 1.0.1-rc

Closes: https://bugs.gentoo.org/630514
Closes: https://bugs.gentoo.org/630528
Package-Manager: Portage-2.3.8, Repoman-2.3.3

 x11-wm/stumpwm/Manifest                |  1 +
 x11-wm/stumpwm/stumpwm-1.0.1_rc.ebuild | 77 ++++++++++++++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/x11-wm/stumpwm/Manifest b/x11-wm/stumpwm/Manifest
index 2e48e7fa057..48d3d2aa559 100644
--- a/x11-wm/stumpwm/Manifest
+++ b/x11-wm/stumpwm/Manifest
@@ -1 +1,2 @@
 DIST stumpwm-1.0.0.tar.gz 200794 SHA256 
31fcb6fb34af20bf4857bb4621ab4b2c9bd6bec92bfd9ddaf88a18f850ba5dd5 SHA512 
eb5bf48a5d185d982e8a9ec7639958f14fd912e0f4c89da205f0bcb0c10a61c3953bce5029c2a301fdcd29fe05c505601d4db30fc50b34b7082ce69bd25b43ac
 WHIRLPOOL 
7049299b1c5db42f7379f3f741de8d87e3322deac6787494fb09c553130e0c2c79de93fdcb33beabb80f44f5b29a03f25bc61bfdcb3755043b4937627a3658fc
+DIST stumpwm-1.0.1_rc.tar.gz 197530 SHA256 
6233133b0e0d8cc54f44abc5ab43ef55380d3c2f24bf53e837aab5875c71be1a SHA512 
3ba68987e61bdb46fde9c6bbed82b630be1db3272bdfb844a9d7abf3f810e94e560a28d4951308cab5af1f93b35710b10bb1a1a35450a8445a1b959888266df2
 WHIRLPOOL 
e3d7d82827028f4a61bc5aa0975d3212e0785cadc4effb95bfaa5828a57777845c47f3beb265cc88c0fe2448d8756969e7d69c76a134565b7a0b181ff281259e

diff --git a/x11-wm/stumpwm/stumpwm-1.0.1_rc.ebuild 
b/x11-wm/stumpwm/stumpwm-1.0.1_rc.ebuild
new file mode 100644
index 00000000000..13ae3486751
--- /dev/null
+++ b/x11-wm/stumpwm/stumpwm-1.0.1_rc.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit common-lisp-3 autotools elisp-common xdg-utils versionator
+
+MY_PV="$(replace_version_separator '_' '-')"
+
+DESCRIPTION="Stumpwm is a Window Manager written entirely in Common Lisp."
+HOMEPAGE="https://stumpwm.github.io/";
+SRC_URI="https://github.com/stumpwm/stumpwm/archive/v${MY_PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="contrib doc emacs"
+
+RESTRICT="strip mirror"
+
+RDEPEND="dev-lisp/cl-ppcre
+               >=dev-lisp/sbcl-1.3.0
+               emacs? ( virtual/emacs app-emacs/slime )"
+DEPEND="${RDEPEND}
+               sys-apps/texinfo
+               doc? ( virtual/texi2dvi )"
+
+PDEPEND="contrib? ( x11-wm/stumpwm-contrib )"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+SITEFILE=70${PN}-gentoo.el
+CLPKGDIR="${CLSOURCEROOT}/${CLPACKAGE}"
+
+install_docs() {
+       local pdffile="${PN}.pdf"
+
+       texi2pdf -o "${pdffile}" "${PN}.texi.in" && dodoc "${pdffile}" || die
+       cp "${FILESDIR}/README.Gentoo" . && sed -i "s:@VERSION@:${PV}:" 
README.Gentoo || die
+       dodoc AUTHORS NEWS README.md README.Gentoo
+       doinfo "${PN}.info"
+       docinto examples
+       dodoc sample-stumpwmrc.lisp
+}
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       xdg_environment_reset
+       econf --with-lisp=sbcl
+}
+
+src_compile() {
+       emake -j1
+}
+
+src_install() {
+       dobin stumpwm
+       make_session_desktop StumpWM /usr/bin/stumpwm
+
+       common-lisp-install-sources *.lisp
+       common-lisp-install-asdf
+       # Fix ASDF dir
+       sed -i -e "/(:directory/c\   (:directory \"${CLPKGDIR}\")" \
+               "${D}${CLPKGDIR}/load-stumpwm.lisp" || die
+       use doc && install_docs
+}
+
+pkg_postinst() {
+       use emacs && elisp-site-regen
+}
+
+pkg_postrm() {
+       use emacs && elisp-site-regen
+}

Reply via email to